const debug=require('debug')('debug');

const db = require('./db');

require('dotenv').config();

async function get(oset = 1,limit = 100) {
    debug('calendar-all start...');
    const schema = process.env.DB_SCHEMA || 'schema';
    debug('calendar-all schema: ' + schema);

    const query = 'SELECT service_id FROM ' + schema + '.calendar;';
    debug('calendar-all query: ' + query);

    const data = await db.query( query );
    if (data !== null && data !== undefined) {
	debug('calendar-all data.length: ' + data.length);
    }

    debug('calendar-all done.');
    return data;
};

module.exports = {
  get
};
